## nasm 0.90

=== Makefile ===
# Makefile for the Netwide Assembler
#
# The Netwide Assembler is copyright (C) 1996 Simon Tatham and
# Julian Hall. All rights reserved. The software is
# redistributable under the licence given in the file "Licence"
# distributed in the NASM archive.
#
# This Makefile is designed for use under Unix (probably fairly
# portably). It can also be used without change to build NASM using
# DJGPP. The makefile "Makefile.dos" can be used to build NASM using
# a 16-bit DOS C compiler such as Microsoft C.
#
# The `make dist' section at the end of the Makefile is not
# guaranteed to work anywhere except Linux. Come to think of it,
# I'm not sure I want to guarantee it to work anywhere except on
# _my_ computer. :-)

CC = gcc
CCFLAGS = -c -g -Wall -ansi -pedantic
LINK = gcc
LINKFLAGS = -o nasm
DLINKFLAGS = -o ndisasm
LIBRARIES = 
STRIP = strip
EXE =#
OBJ = o#

.c.$(OBJ):
	$(CC) $(CCFLAGS) $*.c

NASMOBJS = nasm.$(OBJ) nasmlib.$(OBJ) float.$(OBJ) insnsa.$(OBJ) \
           assemble.$(OBJ) labels.$(OBJ) parser.$(OBJ) outform.$(OBJ) \
	   outbin.$(OBJ) outaout.$(OBJ) outcoff.$(OBJ) outelf.$(OBJ) \
	   outobj.$(OBJ) outas86.$(OBJ)

NDISASMOBJS = ndisasm.$(OBJ) disasm.$(OBJ) sync.$(OBJ) nasmlib.$(OBJ) \
	      insnsd.$(OBJ)

all : nasm$(EXE) ndisasm$(EXE)

nasm$(EXE): $(NASMOBJS)
	$(LINK) $(LINKFLAGS) $(NASMOBJS) $(LIBRARIES)

ndisasm$(EXE): $(NDISASMOBJS)
	$(LINK) $(DLINKFLAGS) $(NDISASMOBJS) $(LIBRARIES)

assemble.$(OBJ): assemble.c nasm.h assemble.h insns.h
disasm.$(OBJ): disasm.c nasm.h disasm.h sync.h insns.h names.c
float.$(OBJ): float.c nasm.h
insnsa.$(OBJ): insnsa.c nasm.h insns.h
insnsd.$(OBJ): insnsd.c nasm.h insns.h
labels.$(OBJ): labels.c nasm.h nasmlib.h
nasm.$(OBJ): nasm.c nasm.h nasmlib.h parser.h assemble.h labels.h outform.h
nasmlib.$(OBJ): nasmlib.c nasm.h nasmlib.h
ndisasm.$(OBJ): ndisasm.c nasm.h sync.h disasm.h
outas86.$(OBJ): outas86.c nasm.h nasmlib.h
outaout.$(OBJ): outaout.c nasm.h nasmlib.h
outbin.$(OBJ): outbin.c nasm.h nasmlib.h
outcoff.$(OBJ): outcoff.c nasm.h nasmlib.h
outelf.$(OBJ): outelf.c nasm.h nasmlib.h
outobj.$(OBJ): outobj.c nasm.h nasmlib.h
outform.$(OBJ): outform.c outform.h nasm.h
parser.$(OBJ): parser.c nasm.h nasmlib.h parser.h float.h names.c
sync.$(OBJ): sync.c sync.h

# These two source files are automagically generated from a single
# instruction-table file by a Perl script. They're distributed,
# though, so it isn't necessary to have Perl just to recompile NASM
# from the distribution.

AUTOSRCS = insnsa.c insnsd.c
$(AUTOSRCS): insns.dat insns.pl
	perl insns.pl

clean :
	rm -f $(NASMOBJS) $(NDISASMOBJS) nasm$(EXE) ndisasm$(EXE)

# Here the `make dist' section begins. Nothing is guaranteed hereafter
# unless you're using the Makefile under Linux, running bash, with
# gzip, GNU tar and a sensible version of zip readily available.

VERSION = 0.90#
DOSVERSION = 090#
NASM_TAR_GZ = dist/nasm-$(VERSION).tar.gz
NASM_ZIP = dist/nasm$(DOSVERSION)s.zip
NASM_DOS_ZIP = dist/nasm$(DOSVERSION).zip
DOSEXES = nasm.exe ndisasm.exe
MANPAGES = nasm.man ndisasm.man


.SUFFIXES: .man .1

.1.man:
	-man ./$< | ul > $@

dist : distdir $(AUTOSRCS) $(MANPAGES) \
       $(NASM_TAR_GZ) $(NASM_ZIP) $(NASM_DOS_ZIP)
	@echo Distributions complete.

distdir:
	if [ -d dist ]; then rm -rf dist; fi
	if [ -d nasm-$(VERSION) ]; then rm -rf nasm-$(VERSION); fi
	if [ ! -d dist ]; then mkdir dist; fi

$(NASM_TAR_GZ) : clean $(DOSEXES)
	if [ -f dist/nasm.tar.gz ]; then rm dist/nasm.tar.gz; fi
	mkdir nasm-$(VERSION)
	(cd nasm-$(VERSION); ln -s ../* .; rm nasm-$(VERSION) dist)
	tar chvf dist/nasm-$(VERSION).tar nasm-$(VERSION)
	gzip -9 dist/nasm-$(VERSION).tar
	rm -rf nasm-$(VERSION)

$(NASM_ZIP) : $(DOSEXES)
	zip -l -k $(NASM_ZIP) L* R* M* insns.[dp]* *.c *.h *.doc \
	                      lcc/* misc/* test/*
	zip -k $(NASM_ZIP) $(DOSEXES)

$(NASM_DOS_ZIP) : $(DOSEXES)
	zip -l -k $(NASM_DOS_ZIP) L* R* *.doc lcc/* misc/* test/*
	zip -k $(NASM_DOS_ZIP) $(DOSEXES)

## nasm 0.98.28cvs

=== doc/Makefile ===
# Generated automatically from Makefile.in by configure.
# $Id: Makefile.in,v 1.1.1.1 2001/12/20 08:00:25 berk Exp $
#
# UNIX Makefile for NASM documentation
#

srcdir		= .
prefix		= /usr
exec_prefix	= ${prefix}
bindir		= ${exec_prefix}/bin
mandir		= ${prefix}/man
docdir		= $(prefix)/doc/nasm
infodir		= ${prefix}/info

INSTALL		= /usr/bin/ginstall -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644

PERL		= perl
MAKEINFO	= makeinfo

SRCS		= nasmdoc.src
OUT		= nasm.info

all: $(OUT)

os2: nasm.inf

.SUFFIXES: .src .texi .info .ps .rtf .hpj .dvi .ps .txt .pl .ipf .inf

# Consider html, txt and src output a side effect
.src.texi:
	mkdir -p html
	$(PERL) ./rdsrc.pl < $<
	mv -f *.html html

nasm.info: nasmdoc.texi
	mkdir -p info
	$(MAKEINFO) $<
	mv -f *.info *.info-* info

# Rules for building an OS/2 book
.texi.ipf:
	texi2ipf $< >$@

nasm.inf: nasmdoc.ipf
	ipfc -i -s $< $@

clean:
	-rm -f *.rtf *.hpj *.texi *.ph *.gid *.ipf

spotless: clean
	-rm -rf html info *.hlp *.txt *.ps *.inf

install: all
	$(INSTALL_DATA) info/* $(INSTALLROOT)$(infodir)
	mkdir -p $(INSTALLROOT)$(docdir)/html
	$(INSTALL_DATA) html/* $(INSTALLROOT)$(docdir)/html
	$(INSTALL_DATA) nasmdoc.ps nasmdoc.txt $(INSTALLROOT)$(docdir)

## nasm 0.99.06

=== doc/Makefile ===
#
# UNIX Makefile for NASM documentation
#

srcdir		= .

prefix		= /usr/local
exec_prefix	= ${prefix}
bindir		= ${exec_prefix}/bin
mandir		= ${datarootdir}/man
docdir		= $(prefix)/doc/nasm
infodir		= ${datarootdir}/info
datarootdir	= ${prefix}/share

INSTALL		= /usr/bin/install -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644

PERL		= perl
MAKEINFO	= makeinfo
TEXI2DVI        = texi2dvi
PS2PDF          = ps2pdf -dOptimize=true	# Part of GhostScript

SRCS		= nasmdoc.src
OUT		= nasm.info nasmdoc.ps nasmdoc.pdf

# exports
export srcdir
export PERL

all: $(OUT)

os2: nasm.inf

# Consider html, txt and ps output a side effect
nasmdoc.dip: nasmdoc.src rdsrc.pl
	mkdir -p html
	$(PERL) $(srcdir)/rdsrc.pl < $<
	mv -f *.html html

nasmdoc.texi: nasmdoc.dip
	: Generated by side effect

nasmdoc.ps: nasmdoc.dip nasmlogo.eps $(srcdir)/../version genpsdriver.pl \
	    genps.pl psfonts.ph pswidth.ph head.ps
	$(PERL) $(srcdir)/genpsdriver.pl > nasmdoc.ps

nasmdoc.pdf: nasmdoc.ps
	$(PS2PDF) nasmdoc.ps

nasm.info: info/nasm.info

info/nasm.info: nasmdoc.texi
	mkdir -p info
	$(MAKEINFO) $<
	mv -f *.info *.info-* info

# DVI output from texinfo (optional)
nasmdoc.dvi: nasmdoc.texi
	$(TEXI2DVI) nasmdoc.texi

# Rules for building an OS/2 book
nasmdoc.ipf: nasmdoc.texi
	texi2ipf $< >$@

nasm.inf: nasmdoc.ipf
	ipfc -i -s $< $@

clean:
	-rm -f *.rtf *.hpj *.texi *.gid *.ipf *.dip
	-rm -f *.aux *.cp *.fn *.ky *.pg *.log *.toc *.tp *.vr

spotless: clean
	-rm -rf html info
	-rm -f *.hlp *.txt *.inf *.pdf *.dvi
	-rm -f nasmdoc*.ps

install: all
	$(INSTALL_DATA) info/* $(INSTALLROOT)$(infodir)
	mkdir -p $(INSTALLROOT)$(docdir)/html
	$(INSTALL_DATA) html/* $(INSTALLROOT)$(docdir)/html
	$(INSTALL_DATA) nasmdoc.ps nasmdoc.pdf nasmdoc.txt $(INSTALLROOT)$(docdir)

## nasm 2.05.01-1maemo1

=== debian/changelog ===
nasm (2.05.01-1maemo1) diablo; urgency=low

  * Maemo4 backport

 -- Linux Eventually <oshazard@gmail.com>  Mon, 20 Dec 2010 01:46:44 -0800

nasm (2.05.01-1maemo1) fremantle; urgency=low

  * Packaged for Maemo Fremantle.

 -- Murray Cumming <murrayc@murrayc.com>  Wed, 29 Jul 2009 14:00:46 +0200

nasm (2.05.01-1) unstable; urgency=low

  * New upstream 
  * Refresh 01-doc-Makefile.in.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 01 Nov 2008 16:55:12 +1100

nasm (2.03.01-1) unstable; urgency=low

  * New upstream
    doc/nasmdoc.rtf is not shipped
  * Standards version is 3.8.0
  * Fix CVE-2008-2719 
    Off-by-one error in the ppscan function (preproc.c)
    closes: #486715
  * Doc-base section is Programming

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 17 Jun 2008 22:47:55 +1000

nasm (2.02-1) unstable; urgency=low

  * New upstream
  * Added debian/watch file
  * Updated debian/copyright

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 29 Feb 2008 20:01:54 +1100

nasm (2.01-1) unstable; urgency=low

  * New upstream. Closes: #461201
  * debian/control
    - Bumped Standards-Version to 3.7.3
    - Added homepage header
  * Removed debian/patches/04-FreeBSD-ELF-header.patch
    - Bug#450935 was resolved upstream. See
      http://sourceware.org/bugzilla/show_bug.cgi?id=4424

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 22 Jan 2008 20:24:58 +1100

nasm (0.99.06-2) unstable; urgency=low

  * Fixed FreeBSD ELF header, closes: #450935
    Patch by Petr Salinger <Petr.Salinger@seznam.cz>

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 13 Nov 2007 18:20:50 +1100

nasm (0.99.06-1) unstable; urgency=low

  * New upstream release.
  * Build-depends on quilt.
  * Updated debian/copyright.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Nov 2007 21:37:15 +1100

nasm (0.99.05-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Oct 2007 23:15:29 +1000

nasm (0.99.04-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 11 Oct 2007 08:42:16 +1000

nasm (0.99.02-1) unstable; urgency=low

  * New upstream release.
    Fixed "nasm build errors: invalid operands in non-64-bit mode",
    Closes: #441383

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 10 Sep 2007 09:28:58 +1000

nasm (0.99.01-1) unstable; urgency=low

  * debian/control Build-Depends: removed gs-common.
    Please see #428876 and #435229.
  * Fixed the following lintian messages:
    - W: nasm: extra-license-file usr/share/doc/nasm/COPYING.gz

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 21 Aug 2007 22:40:37 +1000

nasm (0.99.01-0) unstable; urgency=low

  * New upstream release. Closes: #319344.
  * New maintainer. Closes: #438649.
  * Ack NMUs. Closes: #285889, #309049.
  * Fixed "FTBFS if built twice in a row". Closes: #424593.
    Patch by Joachim Reichel <joachim.reichel@gmx.de>.
  * debian/control: added Homepage.
  * Fixed the following lintian messages:
    - W: nasm source: debian-rules-sets-DH_COMPAT line 3
    - W: nasm source: package-uses-deprecated-debhelper-compat-version 3
    - W: nasm source: ancient-standards-version 3.5.6 (current is 3.7.2)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 19 Aug 2007 10:10:42 +1000

nasm (0.98.38-1.2) unstable; urgency=HIGH

  * NMU
  * Patch from Moritz Muehlenhoff to avoid a buffer overflow in the outieee
    code. Closes: #309049 (CAN-2005-1194)

 -- Joey Hess <joeyh@debian.org>  Tue, 17 May 2005 21:56:06 -0400

nasm (0.98.38-1.1) unstable; urgency=HIGH

  * NMU
  * Fix buffer overflow in error message handling. (CAN-2004-1287)
    Closes: #285889

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Dec 2004 14:45:47 -0500

nasm (0.98.38-1) unstable; urgency=low

  * New upstream release

 -- Christian Kesselheim <ckesselh@infeurope.lu>  Mon,  5 Apr 2004 23:20:39 +0200

nasm (0.98.34-1) unstable; urgency=low

  * New upstream release 

 -- Christian Kesselheim <ckesselh@debian.org>  Fri, 12 Jul 2002 15:18:52 +0200

nasm (0.98.33-2) unstable; urgency=low

  * Build dependencies fixed; gs-common added (closes: #149276) 

 -- Christian Kesselheim <ckesselh@debian.org>  Sun,  9 Jun 2002 18:56:21 +0200

nasm (0.98.33-1) unstable; urgency=low

  * New upstream release 

 -- Christian Kesselheim <ckesselh@debian.org>  Thu,  6 Jun 2002 13:25:11 +0200

nasm (0.98.30-1) unstable; urgency=low

  * New upstream release (closes: #144394) 

 -- Christian Kesselheim <ckesselh@debian.org>  Thu,  9 May 2002 00:18:02 +0200

nasm (0.98.28cvs-1) unstable; urgency=high

  * The "I took the wrong CVS tag last time" release; my assumption, that
    0.98bf would represent the stable branch was a misunderstanding. It's
    just a (quite old) stable release (without P4 support), instead
    (closes: #143814, #136525)
  * Should build on hppa, again (closes: #143373)
  * License changed from GPL to LGPL

 -- Christian Kesselheim <ckesselh@debian.org>  Mon, 22 Apr 2002 11:19:59 +0200

nasm (0.98.28bf-1) unstable; urgency=high

  * New maintainer
  * New upstream release; switched back to the bugfixed ("bf") branch
    (closes: #136263)
  * ndisasm segfaults no longer on "damn near any file" (closes: #128498)
  * Broken macros fixed (closes: #132755)
  * The "org" directive is no longer case sensitive :-) (closes: #122295)
  * Nasm should not generate wrong addresses in some .text situations
    any more (closes: #136525)

 -- Christian Kesselheim <ckesselh@debian.org>  Wed, 17 Apr 2002 12:28:43 +0200

nasm (0.98.08-2) unstable; urgency=low

  * Set maintainer to QA.

 -- Ivo Timmermans <ivo@debian.org>  Thu, 11 Apr 2002 20:32:48 +0200

nasm (0.98.08-1) unstable; urgency=low

  * New upstream release.

 -- Ivo Timmermans <ivo@debian.org>  Tue, 20 Nov 2001 15:12:43 +0100

nasm (0.98-5) unstable; urgency=low

  * New maintainer. (Closes: #116548)

 -- Ivo Timmermans <ivo@debian.org>  Mon, 22 Oct 2001 16:21:29 +0200



=== debian/control ===
Source: nasm
Section: devel
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 5), texinfo, quilt
Homepage: http://nasm.sourceforge.net/

Package: nasm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: General-purpose x86 assembler
 Netwide Assembler.  NASM will currently output flat-form binary files,
 a.out, COFF and ELF Unix object files, and Microsoft 16-bit DOS and
 Win32 object files.
 .
 Also included is NDISASM, a prototype x86 binary-file disassembler
 which uses the same instruction table as NASM.
 .
 NASM is released under the GNU Lesser General Public License (LGPL).

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/quilt/quilt.make

export CFLAGS := -O2
ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
CFLAGS += -g
endif

clean: unpatch
	dh_testdir
	dh_testroot
	dh_clean build.stamp
	mv config.h.in .config.h.in
	[ ! -f Makefile ] || $(MAKE) distclean
	mv .config.h.in config.h.in
	[ ! -f doc/Makefile ] || $(MAKE) -C doc spotless
	rm -f `find -name Makefile`

build: patch build.stamp
build.stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=/usr/share/man
	$(MAKE) all doc
	> $@

binary: binary-arch binary-indep

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/bin usr/share/man/man1
	$(MAKE) INSTALLROOT=$(CURDIR)/debian/nasm install install_rdf
#	dh_installdocs AUTHORS README TODO doc/html doc/nasmdoc.txt doc/nasmdoc.ps doc/nasmdoc.pdf
	dh_installdocs AUTHORS README TODO doc/html doc/nasmdoc.txt doc/nasmdoc.ps
	dh_installexamples misc/nasm.sl test/*
	dh_installman debian/*.1
	dh_installinfo doc/info/*
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build

.PHONY: clean build binary binary-arch binary-indep

=== debian/watch ===
version=3
http://sf.net/nasm/ nasm-([\d\.]+).tar.gz

## nasm 2.08.01

=== debian/changelog ===
nasm (2.08.01-1) unstable; urgency=low

  * New upstream 
  * Source/format is 3.0 (quilt)
  * Update debian/watch
  * Fix out-of-date-standards-version
  * Fix missing-dependency-on-install-info
  * Fix install-info-used-in-maintainer-script

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 02 Jun 2010 21:39:58 +1000

nasm (2.07-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 29 Jul 2009 17:34:26 +1000

nasm (2.06-1) unstable; urgency=low

  * New upstream 
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-symlink-license
  * DH compatibility level is 7

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 12 Jul 2009 22:10:05 +1000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Standards-Version: 3.8.0
-Build-Depends: debhelper (>= 5), texinfo, quilt
+Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), texinfo
 Homepage: http://nasm.sourceforge.net/
 
 Package: nasm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Description: General-purpose x86 assembler
  Netwide Assembler.  NASM will currently output flat-form binary files,
  a.out, COFF and ELF Unix object files, and Microsoft 16-bit DOS and

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,11 @@
 #! /usr/bin/make -f
-
-include /usr/share/quilt/quilt.make
 
 export CFLAGS := -O2
 ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
 CFLAGS += -g
 endif
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	dh_clean build.stamp
@@ -17,7 +15,7 @@
 	[ ! -f doc/Makefile ] || $(MAKE) -C doc spotless
 	rm -f `find -name Makefile`
 
-build: patch build.stamp
+build: build.stamp
 build.stamp:
 	dh_testdir
 	./configure --prefix=/usr --mandir=/usr/share/man

## nasm 2.09.04

=== debian/changelog ===
nasm (2.09.04-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 26 Nov 2010 18:01:10 +1100

nasm (2.09.02-1) unstable; urgency=low

  * New upstream 
  * Pass parameters -Zbzip2 and -z9 to dpkg-deb via dh_builddeb

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 15 Oct 2010 15:27:55 +1100

nasm (2.09.01-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 10 Sep 2010 20:24:27 +1000

nasm (2.09-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Sep 2010 21:39:13 +1000

nasm (2.08.02-1) unstable; urgency=low

  * New upstream 
    Closes: 589530
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Aug 2010 17:42:49 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), texinfo
 Homepage: http://nasm.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -- -Zbzip2 -z9
 
 binary-indep: build

## nasm 2.09.08

=== debian/changelog ===
nasm (2.09.08-1) unstable; urgency=low

  * New upstream
  * Debian policy version is 3.9.2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Apr 2011 15:06:34 +1000

nasm (2.09.07-1) unstable; urgency=low

  * New upstream

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 23 Mar 2011 17:47:41 +1100

nasm (2.09.06-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Mar 2011 21:26:17 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), texinfo
 Homepage: http://nasm.sourceforge.net/

## nasm 2.09.10

=== debian/changelog ===
nasm (2.09.10-1) unstable; urgency=low

  * New upstream version 2.09.10
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 29 Aug 2011 12:41:12 +1000

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,10 @@
 	[ ! -f doc/Makefile ] || $(MAKE) -C doc spotless
 	rm -f `find -name Makefile`
 
-build: build.stamp
-build.stamp:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	dh_testdir
 	./configure --prefix=/usr --mandir=/usr/share/man
 	$(MAKE) all doc

## nasm 2.10.01

=== doc/Makefile ===
--- 
+++ 
@@ -19,10 +19,15 @@
 PERL		= perl
 MAKEINFO	= makeinfo
 TEXI2DVI        = texi2dvi
-PS2PDF          = ps2pdf -dOptimize=true	# Part of GhostScript
+TEXI2IPF	= texi2ipf
+IPFC		= ipfc
 
-SRCS		= nasmdoc.src
-OUT		= nasm.info nasmdoc.ps nasmdoc.pdf
+ACRODIST	= false		# Acrobat Distiller
+PSTOPDF		= false		# BSD/MacOS X utility
+PS2PDF          = ps2pdf		# Part of GhostScript
+
+SRCS		= nasmdoc.src inslist.src changes.src
+OUT		= info html nasmdoc.txt nasmdoc.ps nasmdoc.pdf
 
 # exports
 export srcdir
@@ -32,23 +37,37 @@
 
 os2: nasm.inf
 
-# Consider html, txt and ps output a side effect
-nasmdoc.dip: nasmdoc.src rdsrc.pl
+inslist.src: inslist.pl ../insns.dat
+	$(PERL) $(srcdir)/inslist.pl
+
+.PHONY: html
+html: html/nasmdoc0.html
+
+html/nasmdoc0.html: $(SRCS) rdsrc.pl
 	mkdir -p html
-	$(PERL) $(srcdir)/rdsrc.pl < $<
+	$(PERL) $(srcdir)/rdsrc.pl html < $<
 	mv -f *.html html
 
-nasmdoc.texi: nasmdoc.dip
-	: Generated by side effect
+nasmdoc.dip: $(SRCS) rdsrc.pl
+	$(PERL) $(srcdir)/rdsrc.pl dip < $<
+
+nasmdoc.texi: $(SRCS) rdsrc.pl
+	$(PERL) $(srcdir)/rdsrc.pl texi < $<
+
+nasmdoc.txt: $(SRCS) rdsrc.pl
+	$(PERL) $(srcdir)/rdsrc.pl txt < $<
 
 nasmdoc.ps: nasmdoc.dip nasmlogo.eps $(srcdir)/../version genpsdriver.pl \
 	    genps.pl psfonts.ph pswidth.ph head.ps
 	$(PERL) $(srcdir)/genpsdriver.pl > nasmdoc.ps
 
 nasmdoc.pdf: nasmdoc.ps
-	$(PS2PDF) nasmdoc.ps
+	$(ACRODIST) -n -q --nosecurity -o $@ $< || \
+	$(PS2PDF) $< $@ || \
+	$(PSTOPDF) $< -o $@ 
 
-nasm.info: info/nasm.info
+.PHONY: info
+info: info/nasm.info
 
 info/nasm.info: nasmdoc.texi
 	mkdir -p info
@@ -61,21 +80,23 @@
 
 # Rules for building an OS/2 book
 nasmdoc.ipf: nasmdoc.texi
-	texi2ipf $< >$@
+	$(TEXI2IPF) $< >$@
 
 nasm.inf: nasmdoc.ipf
-	ipfc -i -s $< $@
+	$(IPFC) -i -s $< $@
 
 clean:
 	-rm -f *.rtf *.hpj *.texi *.gid *.ipf *.dip
 	-rm -f *.aux *.cp *.fn *.ky *.pg *.log *.toc *.tp *.vr
+	-rm -f inslist.src
 
 spotless: clean
 	-rm -rf html info
-	-rm -f *.hlp *.txt *.inf *.pdf *.dvi
+	-rm -f *.hlp nasmdoc.txt *.inf *.pdf *.dvi
 	-rm -f nasmdoc*.ps
 
 install: all
+	mkdir -p $(INSTALLROOT)$(infodir)
 	$(INSTALL_DATA) info/* $(INSTALLROOT)$(infodir)
 	mkdir -p $(INSTALLROOT)$(docdir)/html
 	$(INSTALL_DATA) html/* $(INSTALLROOT)$(docdir)/html

=== debian/changelog ===
nasm (2.10.01-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-10686
    In Netwide Assembler (NASM) 2.14rc0, there are multiple heap use 
    after free vulnerabilities in the tool nasm. The related heap is 
    allocated in the token() function and freed in the detoken() 
    function (called by pp_getline()) - it is used again at multiple 
    positions later that could cause multiple damages. For example, 
    it causes a corrupted double-linked list in detoken(), a double 
    free or corruption in delete_Token(), and an out-of-bounds write 
    in detoken(). It has a high possibility to lead to a remote code 
    execution attack.
  * CVE-2017-11111
    In Netwide Assembler (NASM) 2.14rc0, preproc.c allows remote 
    attackers to cause a denial of service (heap-based buffer 
    overflow and application crash) or possibly have unspecified 
    other impact via a crafted file.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 26 Jul 2016 19:03:02 +0200

nasm (2.10.01-1) unstable; urgency=low

  * New upstream version 2.10.01
  * Enable hardened build flags
  * DH compatibility level is 9

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Jun 2012 11:13:09 +1000

nasm (2.10-1) unstable; urgency=low

  * New upstream version 2.10
  * Ship nasmdoc.pdf
    Closes: 439434
  * Fix out-of-date-standards-version
  * Fix spelling-error-in-doc-base-abstract-field

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 12 Apr 2012 08:00:57 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), texinfo
+Standards-Version: 3.9.3
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), texinfo, ghostscript
 Homepage: http://nasm.sourceforge.net/
 
 Package: nasm

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #! /usr/bin/make -f
 
-export CFLAGS := -O2
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS += -O2
 ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
 CFLAGS += -g
 endif
@@ -32,8 +36,7 @@
 	dh_clean
 	dh_installdirs usr/bin usr/share/man/man1
 	$(MAKE) INSTALLROOT=$(CURDIR)/debian/nasm install install_rdf
-#	dh_installdocs AUTHORS README TODO doc/html doc/nasmdoc.txt doc/nasmdoc.ps doc/nasmdoc.pdf
-	dh_installdocs AUTHORS README TODO doc/html doc/nasmdoc.txt doc/nasmdoc.ps
+	dh_installdocs AUTHORS README TODO doc/html doc/nasmdoc.txt doc/nasmdoc.ps doc/nasmdoc.pdf
 	dh_installexamples misc/nasm.sl test/*
 	dh_installman debian/*.1
 	dh_installinfo doc/info/*

=== debian/watch ===
version=3
#http://www.nasm.us/pub/nasm/releasebuilds/2.08.01/nasm-2.08.01.tar.bz2
http://www.nasm.us/pub/nasm/releasebuilds/([\d\.]+)/nasm-([\d\.]+).tar.bz2

## nasm 2.10.07

=== debian/changelog ===
nasm (2.10.07-1) unstable; urgency=low

  * New upstream version 2.10.07
  * Debian policy version is 3.9.4
  * debian/rules: pass CPPFLAGS through CFLAGS
    Patch by Simon Ruderich
    Closes: #681490

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 May 2013 12:37:46 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), texinfo, ghostscript
 Homepage: http://nasm.sourceforge.net/

## nasm 2.10.09

=== debian/changelog ===
nasm (2.10.09-1) unstable; urgency=low

  * New upstream version 2.10.09
  * Debian policy version is 3.9.5
  * Update debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 29 Dec 2013 13:46:31 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), texinfo, ghostscript
 Homepage: http://nasm.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
 CFLAGS += -g
 endif
+
+# The build system ignores CPPFLAGS, pass them through CFLAGS instead.
+CFLAGS += $(CPPFLAGS)
 
 clean:
 	dh_testdir

## nasm 2.11

=== debian/changelog ===
nasm (2.11-1) unstable; urgency=medium

  * New upstream version 2.11 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Feb 2014 12:50:55 +1100

## nasm 2.11.05

=== debian/changelog ===
nasm (2.11.05-1) unstable; urgency=medium

  * New upstream version 2.11.05.
  * Use default compression for binary packages.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Sep 2014 05:22:04 +0100

## nasm 2.11.06-1really2.11.05

=== debian/changelog ===
nasm (2.11.06-1really2.11.05-1) unstable; urgency=low

  * Upload 2.11.05-1 to unstable.
    2.11.06-1 in unstable makes syslinux FTBFS.
    Closes: #769160.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 12 Nov 2014 10:42:57 +0000

nasm (2.11.06-1) unstable; urgency=medium

  * Debian policy version is 3.9.6.
  * New upstream version 2.11.06.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 05 Nov 2014 23:51:52 +0000

## nasm 2.11.08

=== doc/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 infodir		= ${datarootdir}/info
 datarootdir	= ${prefix}/share
 
-INSTALL		= /usr/bin/install -c
+INSTALL		= /bin/install -c
 INSTALL_PROGRAM	= ${INSTALL}
 INSTALL_DATA	= ${INSTALL} -m 644

=== test/Makefile ===
.SUFFIXES: .bin .o .o64 .obj .obj64 .exe .asm .lst .pl

NASM	= ../nasm
NASMOPT = -Ox -I../misc $(OPT)
PERL	= perl
TESTS	= $(wildcard *.asm)

%.bin: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f bin -o $@ -l $*.lst $<

%.ith: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f ith -o $@ -l $*.lst $<

%.srec: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f srec -o $@ -l $*.lst $<

%.o: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f elf32 -o $@ -l $*.lst $<

%.o64: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f elf64 -o $@ -l $*.lst $<

%.obj: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f obj -o $@ -l $*.lst $<

%.coff: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f coff -o $@ -l $*.lst $<

%.win32: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f win32 -o $@ -l $*.lst $<

%.win64: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f win64 -o $@ -l $*.lst $<

%.mo32: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f macho32 -o $@ -l $*.lst $<

%.mo64: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f macho64 -o $@ -l $*.lst $<

%.dbg: %.asm $(NASM)
	$(NASM) $(NASMOPT) -f dbg -o $@ -l $*.lst $<

%.asm: %.pl
	$(PERL) $< > $@

all:

golden: performtest.pl $(TESTS)
	$(PERL) performtest.pl --golden --nasm='$(NASM)' $(TESTS)

test:	performtest.pl $(NASM) $(TESTS)
	$(PERL) performtest.pl --nasm='$(NASM)' $(TESTS)

diff:	performtest.pl $(NASM) $(TESTS)
	$(PERL) performtest.pl --diff --nasm='$(NASM)' $(TESTS)

clean:
	rm -f *.com *.o *.o64 *.obj *.win32 *.win64 *.exe *.lst *.bin
	rm -f *.dbg *.coff *.ith *.srec *.mo32 *.mo64
	rm -rf testresults
	rm -f elftest elftest64

spotless: clean
	rm -rf golden

#
# Test for ELF32 shared libraries; assumes an x86 Linux system
#
elfso.o: elfso.asm $(NASM)
	$(NASM) $(NASMOPT) -f elf32 -F stabs -o $@ -l $*.lst $<

elfso.so: elfso.o
	$(LD) -m elf_i386 -shared -o $@ $<

elftest: elftest.c elfso.so
	$(CC) -g -m32 -o $@ $^
	-env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH ./elftest

#
# Test for ELF64 shared libraries; assumes an x86-64 Linux system
#
elf64so.o: elf64so.asm $(NASM)
	$(NASM) $(NASMOPT) -f elf64 -F dwarf -o $@ -l $*.lst $<

elf64so.so: elf64so.o
	$(LD) -shared -o $@ $<

elftest64: elftest64.c elf64so.so
	$(CC) -g -o $@ $^
	-env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH ./elftest64

=== rdoff/doc/Makefile ===
#
# Make info documentation
#

AUXFILES = *.aux *.cp *.fn *.ky *.log *.pg *.toc *.tp *.vr *.dvi

SRCS = rdoff.texi
OUTS = rdoff.info rdoff.html rdoff.ps rdoff.pdf


## Implicit rules
%.html : %.texi
	makeinfo --html $<

%.dvi : %.texi
	texi2dvi $<

%.ps: %.dvi
	dvips $<

%.pdf: %.dvi
	dvipdf $<


## Explicit rules
all: info

info: rdoff.info

html: rdoff.html

ps: rdoff.ps

pdf: rdoff.pdf

clean:
	rm -f $(OUTS) $(AUXFILES)

=== debian/changelog ===
nasm (2.11.08-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: code execution via heap use-after-free
    - debian/patches/CVE-2017-10686-1.patch: don't call free_mmacro in
      preproc.c.
    - debian/patches/CVE-2017-10686-2.patch: free token's text if only it
      has been modified in preproc.c.
    - CVE-2017-10686
  * SECURITY UPDATE: heap buffer overflow
    - debian/patches/CVE-2017-11111.patch: only concat tok->text if we
      accounted for its size in preproc.c.
    - CVE-2017-11111
  * SECURITY UPDATE: NULL pointer dereference in paste_tokens
    - debian/patches/CVE-2017-14228.patch: check length in preproc.c.
    - CVE-2017-14228
  * SECURITY UPDATE: DoS via macro calls with wrong number of arguments
    - debian/patches/CVE-2017-17810.patch: check arguments in preproc.c.
    - CVE-2017-17810
  * SECURITY UPDATE: DoS via heap over-read
    - debian/patches/CVE-2017-17812.patch: check for data to process in
      preproc.c.
    - CVE-2017-17812
  * SECURITY UPDATE: DoS via missing check
    - debian/patches/CVE-2017-17815.patch: don't leave nparam_max less than
      nparam_min in preproc.c.
    - CVE-2017-17815
  * SECURITY UPDATE: DoS via incorrect validation
    - debian/patches/CVE-2017-17819.patch: check for NULL pointer in
      preproc.c.
    - CVE-2017-17819
  * SECURITY UPDATE: heap-based overread
    - debian/patches/CVE-2018-8881.patch: handle unterminated strings in
      preproc.c.
    - CVE-2018-8881
  * The above patches also fix the following CVEs:
    - CVE-2017-17811
    - CVE-2017-17813
    - CVE-2017-17814
    - CVE-2017-17816
    - CVE-2017-17817
    - CVE-2017-17818
    - CVE-2017-17820

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 28 Jun 2018 09:11:21 -0400

nasm (2.11.08-1) unstable; urgency=medium

  * New upstream version 2.11.08
  * Update debian/copyright
  * Update homepage in debian/control
  * Make the build reproducible (timestamps)
    Add 04-reproducible-build.patch
    Patch by Valentin Lorentz
    Closes: #796335

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 11 Jan 2016 10:33:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: nasm
 Section: devel
 Priority: optional
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Standards-Version: 3.9.5
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), texinfo, ghostscript
-Homepage: http://nasm.sourceforge.net/
+Homepage: http://www.nasm.us/
 
 Package: nasm
 Architecture: any

=== debian/watch ===
version=3
#http://www.nasm.us/pub/nasm/releasebuilds/2.08.01/nasm-2.08.01.tar.bz2
http://www.nasm.us/pub/nasm/releasebuilds/([\d\.]+)/nasm-([\d\.]+).tar.xz

## nasm 2.12.01

=== debian/changelog ===
nasm (2.12.01-1) unstable; urgency=low

  * New upstream version 2.12.01
  * Fix ancient-standards-version 3.9.5 (current is 3.9.7)

 -- Jordan Justen <jljusten@gmail.com>  Mon, 25 Apr 2016 11:25:17 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: nasm
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Standards-Version: 3.9.5
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Uploaders: Jordan Justen <jljusten@gmail.com>
+Standards-Version: 3.9.7
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), texinfo, ghostscript
 Homepage: http://www.nasm.us/

## nasm 2.12.02

=== debian/changelog ===
nasm (2.12.02-1) experimental; urgency=low

  * New upstream version 2.12.02

 -- Jordan Justen <jljusten@gmail.com>  Mon, 30 Jan 2017 01:15:41 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Jordan Justen <jljusten@gmail.com>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), texinfo, ghostscript
 Homepage: http://www.nasm.us/

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,9 @@
 	dh_testdir
 	dh_testroot
 	dh_clean build.stamp
-	mv config.h.in .config.h.in
+	-mv config.h.in .config.h.in
 	[ ! -f Makefile ] || $(MAKE) distclean
-	mv .config.h.in config.h.in
+	-mv .config.h.in config.h.in
 	[ ! -f doc/Makefile ] || $(MAKE) -C doc spotless
 	rm -f `find -name Makefile`
 
@@ -51,7 +51,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb -- -Zbzip2 -z9
+	dh_builddeb
 
 binary-indep: build

## nasm 2.13.01

=== debian/changelog ===
nasm (2.13.01-2ubuntu0.1) artful-security; urgency=medium

  * SECURITY UPDATE: code execution via heap use-after-free
    - debian/patches/CVE-2017-10686-1.patch: don't call free_mmacro in
      asm/preproc.c.
    - debian/patches/CVE-2017-10686-2.patch: free token's text if only it
      has been modified in asm/preproc.c.
    - CVE-2017-10686
  * SECURITY UPDATE: heap buffer overflow
    - debian/patches/CVE-2017-11111.patch: only concat tok->text if we
      accounted for its size in asm/preproc.c.
    - CVE-2017-11111
  * SECURITY UPDATE: NULL pointer dereference in paste_tokens
    - debian/patches/CVE-2017-14228.patch: check length in asm/preproc.c.
    - CVE-2017-14228
  * SECURITY UPDATE: DoS via macro calls with wrong number of arguments
    - debian/patches/CVE-2017-17810.patch: check arguments in
      asm/preproc.c.
    - CVE-2017-17810
  * SECURITY UPDATE: DoS via heap over-read
    - debian/patches/CVE-2017-17812.patch: check for data to process in
      asm/preproc.c.
    - CVE-2017-17812
  * SECURITY UPDATE: DoS via missing check
    - debian/patches/CVE-2017-17815.patch: don't leave nparam_max less than
      nparam_min in asm/preproc.c.
    - CVE-2017-17815
  * SECURITY UPDATE: DoS via incorrect validation
    - debian/patches/CVE-2017-17819.patch: check for NULL pointer in
      asm/preproc.c.
    - CVE-2017-17819
  * SECURITY UPDATE: heap-based overread
    - debian/patches/CVE-2018-8881.patch: handle unterminated strings in
      asm/preproc.c.
    - CVE-2018-8881
  * The above patches also fix the following CVEs:
    - CVE-2017-17811
    - CVE-2017-17813
    - CVE-2017-17814
    - CVE-2017-17816
    - CVE-2017-17817
    - CVE-2017-17818
    - CVE-2017-17820

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 28 Jun 2018 07:53:17 -0400

nasm (2.13.01-2) unstable; urgency=medium

  [ Raymond Nicholson ]
  * sort 'keys' for reproducibility (doc/genps.pl), Closes: #820194

  [ Gianfranco Costamagna ]
  * Switch to new dh calls
  * Switch to compat level 10
  * Add font-config to build-dependencies, fixing an error during build.

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 18 May 2017 23:02:49 -0700

nasm (2.13.01-1) experimental; urgency=low

  * New upstream version 2.13.01
  * Update debian patches for 2.13.01 release
  * Run wrap-and-sort
  * Add libfont-ttf-perl build dependency
  * Add libsort-versions-perl build dependency
  * Add fonts-liberation2 build dependency
  * Add patches to use liberation fonts
  * Change my email address
  * Don't install info docs since nasm no longer supports them

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 08 May 2017 09:33:23 -0700

=== debian/control ===
Source: nasm
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders:
 Jordan Justen <jordan.l.justen@intel.com>,
Standards-Version: 3.9.8
Build-Depends:
 debhelper (>= 10),
 dpkg-dev (>= 1.16.1~),
 fonts-liberation2,
 fontconfig,
 ghostscript,
 libfont-ttf-perl,
 libsort-versions-perl,
 texinfo,
Homepage: http://www.nasm.us/

Package: nasm
Architecture: any
Depends:
 dpkg (>= 1.15.4) | install-info,
 ${misc:Depends},
 ${shlibs:Depends},
Description: General-purpose x86 assembler
 Netwide Assembler.  NASM will currently output flat-form binary files,
 a.out, COFF and ELF Unix object files, and Microsoft 16-bit DOS and
 Win32 object files.
 .
 Also included is NDISASM, a prototype x86 binary-file disassembler
 which uses the same instruction table as NASM.
 .
 NASM is released under the GNU Lesser General Public License (LGPL).

## nasm 2.13.02

=== test/Makefile ===
.SUFFIXES: .bin .o .o64 .obj .obj64 .exe .asm .lst .pl

NASMDEP = ../nasm
NASM	= ../nasm
NASMOPT = -Ox -I../misc $(OPT)
PERL	= perl
TESTS	= $(wildcard *.asm)
RM_F	= rm -f
RM_RF	= rm -rf

$(NASM):
	$(MAKE) -C ..

%.bin: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f bin -o $@ -MD $@.dep -l $*.lst $<

%.ith: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f ith -o $@ -MD $@.dep -l $*.lst $<

%.srec: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f srec -o $@ -MD $@.dep -l $*.lst $<

%.o: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf32 -o $@ -MD $@.dep -l $*.lst $<

%.o64: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf64 -o $@ -MD $@.dep -l $*.lst $<

%.obj: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f obj -o $@ -MD $@.dep -l $*.lst $<

%.rdf: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f rdf -o $@ -MD $@.dep -l $*.lst $<

%.od: %.obj ../misc/omfdump
	../misc/omfdump $< > $@

%.coff: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f coff -o $@ -MD $@.dep -l $*.lst $<

%.win32: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f win32 -o $@ -MD $@.dep -l $*.lst $<

%.win64: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f win64 -o $@ -MD $@.dep -l $*.lst $<

%.mo32: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f macho32 -o $@ -MD $@.dep -l $*.lst $<

%.mo64: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f macho64 -o $@ -MD $@.dep -l $*.lst $<

%.dbg: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f dbg -o $@ -MD $@.dep -l $*.lst $<

%.asm: %.pl
	$(PERL) $< > $@

%.i: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -E -o $@ -MD $@.dep $<

all:

golden: performtest.pl $(TESTS)
	$(PERL) performtest.pl --golden --nasm='$(NASM)' $(TESTS)

test:	performtest.pl $(NASMDEP) $(TESTS)
	$(PERL) performtest.pl --nasm='$(NASM)' $(TESTS)

diff:	performtest.pl $(NASMDEP) $(TESTS)
	$(PERL) performtest.pl --diff --nasm='$(NASM)' $(TESTS)

clean:
	$(RM_F) *.com *.o *.o64 *.obj *.win32 *.win64 *.exe *.lst *.bin
	$(RM_F) *.dbg *.coff *.ith *.srec *.mo32 *.mo64 *.i *.dep *.rdf
	$(RM_RF) testresults
	$(RM_F) elftest elftest64

spotless: clean
	$(RM_RF) golden

#
# Test for ELF32 shared libraries; assumes an x86 Linux system
#
elfso.o: elfso.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf32 -F stabs -o $@ -MD $@.dep -l $*.lst $<

elfso.so: elfso.o
	$(LD) -m elf_i386 -shared -o $@ -MD $@.dep $<

elftest: elftest.c elfso.so
	$(CC) -g -m32 -o $@ -MD $@.dep $^
	-env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH ./elftest

#
# Test for ELF64 shared libraries; assumes an x86-64 Linux system
#
elf64so.o: elf64so.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf64 -F dwarf -o $@ -MD $@.dep -l $*.lst $<

elf64so.so: elf64so.o
	$(LD) -shared -o $@ -MD $@.dep $<

elftest64: elftest64.c elf64so.so
	$(CC) -g -o $@ -MD $@.dep $^
	-env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH ./elftest64

=== debian/changelog ===
nasm (2.13.02-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Jan 2018 17:01:20 -0800

nasm (2.13.02-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    - Addresses CVE-2017-14228. Closes: #874731.
    - Addresses CVE-2017-11111 CVE-2017-10686. Closes: #867988.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2017 08:31:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: nasm
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders:
  Jordan Justen <jordan.l.justen@intel.com>,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Build-Depends:
  debhelper (>= 10),
  dpkg-dev (>= 1.16.1~),

## nasm 2.13.03

=== debian/changelog ===
nasm (2.13.03-2) unstable; urgency=medium

  * d/gbp.conf: Add git buildpackage config file
  * d/patches: Fix lintian spelling warning (attachement)
  * d/control: Update Standards-Version to 4.2.0
  * d/patches: Cherry-pick gcc-8 fixes from upstream. (Closes: #897817)

 -- Jordan Justen <jordan.l.justen@intel.com>  Wed, 08 Aug 2018 13:22:12 -0700

nasm (2.13.03-1) unstable; urgency=low

  * New upstream release
  * Remove trailing whitespace from changelog
  * Remove doc-base for lintian doc-base-file-references-missing-file.
    Closes: #890234.
  * d/control: Add Vcs-Git and Vcs-Browser
  * d/control: Update to compat/debhelper 11
  * d/control: Update to Standards-Version 4.1.4
  * d/watch: Use https for www.nasm.us (fixes debian-watch-uses-insecure-uri)

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 25 May 2018 09:07:41 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: nasm
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders:
  Jordan Justen <jordan.l.justen@intel.com>,
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dpkg-dev (>= 1.16.1~),
  fonts-liberation2,
  fontconfig,
@@ -17,6 +15,8 @@
  libsort-versions-perl,
  texinfo,
 Homepage: http://www.nasm.us/
+Vcs-Git: https://salsa.debian.org/debian/nasm.git
+Vcs-Browser: https://salsa.debian.org/debian/nasm
 
 Package: nasm
 Architecture: any

## nasm 2.14

=== test/Makefile ===
.SUFFIXES: .bin .o .o64 .obj .obj64 .exe .asm .lst .pl

NASMDEP = ../nasm
NASM	= ../nasm
NASMOPT = -Ox -I../misc $(OPT)
PERL	= perl
TESTS	= $(wildcard *.asm)
RM_F	= rm -f
RM_RF	= rm -rf

$(NASM):
	$(MAKE) -C ..

%.bin: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f bin -o $@ -MD $@.dep -l $@.lst $<

%.ith: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f ith -o $@ -MD $@.dep -l $@.lst $<

%.srec: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f srec -o $@ -MD $@.dep -l $@.lst $<

%.o: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf32 -o $@ -MD $@.dep -l $@.lst $<

%.o64: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf64 -o $@ -MD $@.dep -l $@.lst $<

%.obj: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f obj -o $@ -MD $@.dep -l $@.lst $<

%.rdf: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f rdf -o $@ -MD $@.dep -l $@.lst $<

%.od: %.obj ../misc/omfdump
	../misc/omfdump $< > $@

%.coff: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f coff -o $@ -MD $@.dep -l $@.lst $<

%.win32: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f win32 -o $@ -MD $@.dep -l $@.lst $<

%.win64: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f win64 -o $@ -MD $@.dep -l $@.lst $<

%.mo32: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f macho32 -o $@ -MD $@.dep -l $@.lst $<

%.mo64: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f macho64 -o $@ -MD $@.dep -l $@.lst $<

%.dbg: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f dbg -o $@ -MD $@.dep -l $@.lst $<

%.asm: %.pl
	$(PERL) $< > $@

%.i: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -E -o $@ -MD $@.dep $<

all:

golden: performtest.pl $(TESTS)
	$(PERL) performtest.pl --golden --nasm='$(NASM)' $(TESTS)

test:	performtest.pl $(NASMDEP) $(TESTS)
	$(PERL) performtest.pl --nasm='$(NASM)' $(TESTS)

diff:	performtest.pl $(NASMDEP) $(TESTS)
	$(PERL) performtest.pl --diff --nasm='$(NASM)' $(TESTS)

clean:
	$(RM_F) *.com *.o *.o64 *.obj *.win32 *.win64 *.exe *.lst *.bin
	$(RM_F) *.dbg *.coff *.ith *.srec *.mo32 *.mo64 *.i *.dep *.rdf
	$(RM_RF) testresults
	$(RM_F) elftest elftest64

spotless: clean
	$(RM_RF) golden

#
# Test for ELF32 shared libraries; assumes an x86 Linux system
#
elfso.o: elfso.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf32 -F stabs -o $@ -MD $@.dep -l $@.lst $<

elfso.so: elfso.o
	$(LD) -m elf_i386 -shared -o $@ -MD $@.dep $<

elftest: elftest.c elfso.so
	$(CC) -g -m32 -o $@ -MD $@.dep $^
	-env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH ./elftest

#
# Test for ELF64 shared libraries; assumes an x86-64 Linux system
#
elf64so.o: elf64so.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf64 -F dwarf -o $@ -MD $@.dep -l $@.lst $<

elf64so.so: elf64so.o
	$(LD) -shared -o $@ -MD $@.dep $<

elftest64: elftest64.c elf64so.so
	$(CC) -g -o $@ -MD $@.dep $^
	-env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH ./elftest64

=== debian/changelog ===
nasm (2.14-1) unstable; urgency=medium

  * d/patches: Rebase patches for 2.14
  * d/control: Upgrade standards-version to 4.2.1

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 17 Nov 2018 22:22:52 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders:
  Jordan Justen <jordan.l.justen@intel.com>,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Build-Depends:
  debhelper (>= 11),
  dpkg-dev (>= 1.16.1~),

## nasm 2.14.02

=== debian/changelog ===
nasm (2.14.02-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update standards version to 4.4.0
  * debian: Increase debhelper to 12

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 19 Jul 2019 02:09:30 -0700

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders:
  Jordan Justen <jordan.l.justen@intel.com>,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dpkg-dev (>= 1.16.1~),
  fonts-liberation2,
  fontconfig,

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

# empty override, fills example directory with lots of files
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- install_rdf
